mongoose-allrequired

0.1.1 • Public • Published

mongoose-allRequired

Simple mongoose plugin for fixed schemas

USING

var allRequired = require('mongoose-allrequired');
 
User = new Schema({
  _id: Number,
  login: String,
  password: String,
  sessionId: String,
  role: String
});
 
//all fields will be required
User.plugin(allRequired);

Package Sidebar

Install

npm i mongoose-allrequired

Weekly Downloads

2

Version

0.1.1

License

none

Last publish

Collaborators

  • santinell